SubtractDataDialog Class Reference

Subtract reference data dialog. More...

`#include <SubtractDataDialog.h>`

Inheritance diagram for SubtractDataDialog:

## Public Member Functions

void | setGraph (Graph *g)
| SubtractDataDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Slots

void | interpolate ()
void | setCurrentFolder (bool)
void | updateTableColumns (int tabnr)

## Private Member Functions

double | combineValues (double v1, double v2)

## Private Attributes

QComboBox * | boxColumnName
QCheckBox * | boxCurrentFolder
QComboBox * | boxInputName
DoubleSpinBox * | boxOffset
QComboBox * | boxOperation
QComboBox * | boxReferenceName
QRadioButton * | btnDataset
QRadioButton * | btnValue
QPushButton * | buttonApply
QPushButton * | buttonCancel
Graph * | graph

## Detailed Description

Subtract reference data dialog.

## Constructor & Destructor Documentation

SubtractDataDialog::SubtractDataDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References boxColumnName, boxCurrentFolder, boxInputName, boxOffset, boxOperation, boxReferenceName, btnDataset, btnValue, buttonApply, buttonCancel, ApplicationWindow::d_decimal_digits, interpolate(), setCurrentFolder(), DoubleSpinBox::setDecimals(), ApplicationWindow::tableNames(), and updateTableColumns().

## Member Function Documentation

double SubtractDataDialog::combineValues | ( | double | v1,
|  | double | v2
| ) |  |

private

References boxOperation.

Referenced by interpolate().

void SubtractDataDialog::interpolate | ( |  | ) |

private slot

References boxColumnName, boxInputName, boxOffset, boxReferenceName, btnValue, Table::cell(), Table::colIndex(), Table::colX(), combineValues(), Graph::curveIndex(), Graph::dataCurve(), DataCurve::endRow(), graph, Table::notifyChanges(), Table::numRows(), Table::setCell(), DataCurve::startRow(), DataCurve::table(), ApplicationWindow::table(), Table::text(), DoubleSpinBox::value(), and DataCurve::xColumnName().

Referenced by SubtractDataDialog().

void SubtractDataDialog::setCurrentFolder | ( | bool | on | ) |

private slot

References boxReferenceName, ApplicationWindow::currentFolder(), ApplicationWindow::tableNames(), updateTableColumns(), and Folder::windowsList().

Referenced by SubtractDataDialog().

void SubtractDataDialog::setGraph | ( | Graph * | g | ) |

References Graph::analysableCurvesList(), boxInputName, Graph::curveRange(), graph, Graph::rangeSelectorsEnabled(), and Graph::rangeSelectorTool().

Referenced by ApplicationWindow::subtractReferenceData().

void SubtractDataDialog::updateTableColumns | ( | int | tabnr | ) |

private slot

References boxColumnName, boxReferenceName, Table::colLabel(), Table::colPlotDesignation(), Table::numCols(), ApplicationWindow::table(), and Table::X.

Referenced by setCurrentFolder(), and SubtractDataDialog().

## Member Data Documentation

QComboBox* SubtractDataDialog::boxColumnName

private

Referenced by interpolate(), SubtractDataDialog(), and updateTableColumns().

QCheckBox* SubtractDataDialog::boxCurrentFolder

private

Referenced by SubtractDataDialog().

QComboBox* SubtractDataDialog::boxInputName

private

Referenced by interpolate(), setGraph(), and SubtractDataDialog().

DoubleSpinBox* SubtractDataDialog::boxOffset

private

Referenced by interpolate(), and SubtractDataDialog().

QComboBox* SubtractDataDialog::boxOperation

private

Referenced by combineValues(), and SubtractDataDialog().

QComboBox* SubtractDataDialog::boxReferenceName

private

Referenced by interpolate(), setCurrentFolder(), SubtractDataDialog(), and updateTableColumns().

QRadioButton* SubtractDataDialog::btnDataset

private

Referenced by SubtractDataDialog().

QRadioButton* SubtractDataDialog::btnValue

private

Referenced by interpolate(), and SubtractDataDialog().

QPushButton* SubtractDataDialog::buttonApply

private

Referenced by SubtractDataDialog().

QPushButton* SubtractDataDialog::buttonCancel

private

Referenced by SubtractDataDialog().

Graph* SubtractDataDialog::graph

private

Referenced by interpolate(), and setGraph().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/SubtractDataDialog.h
- qtiplot/src/analysis/dialogs/SubtractDataDialog.cpp